<html>
<head>
<title>Ogre::D3D11RenderSystem::sD3DTextureStageDesc Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11RenderSystem.html">D3D11RenderSystem</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html">sD3DTextureStageDesc</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11RenderSystem::sD3DTextureStageDesc Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11RenderSystem::sD3DTextureStageDesc" -->
<p>structure holding texture unit settings for every stage  
 <a href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#details">More...</a></p>

<p><a href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">TextureType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ac0015461769a2d13d694e0cbe782be35">type</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">the type of the texture  <a href="#ac0015461769a2d13d694e0cbe782be35"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a05b490382461782d82fdda69a95e1488">coordIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">which texCoordIndex to use  <a href="#a05b490382461782d82fdda69a95e1488"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">TexCoordCalcMethod</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#abfb1abb2463ec868224a81878326e094">autoTexCoordType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">type of auto tex. calc. used  <a href="#abfb1abb2463ec868224a81878326e094"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ab47a8be2d5e831372472f9e2d2642b64">frustum</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>, used if the above is projection.  <a href="#ab47a8be2d5e831372472f9e2d2642b64"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1LayerBlendModeEx.html">LayerBlendModeEx</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a2c4899b112c2da18627b3b8dadbeadcd">layerBlendMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11ShaderResourceView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a406bbf72a6c74c34775ede43c81c4479">pTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">texture  <a href="#a406bbf72a6c74c34775ede43c81c4479"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3D11_SAMPLER_DESC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a85a8d57feca3cb5f08b186fc484be114">samplerDesc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3D11_SAMPLER_DESC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a4e5dfe0a7bb3c5ff7793c7d420b3bfb8">currentSamplerDesc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a8e81f5b1c3ac483ab39d223f8c2ae1f8">used</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>structure holding texture unit settings for every stage </p>

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00152">152</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="abfb1abb2463ec868224a81878326e094"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::autoTexCoordType" ref="abfb1abb2463ec868224a81878326e094" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">TexCoordCalcMethod</a> <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#abfb1abb2463ec868224a81878326e094">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::autoTexCoordType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>type of auto tex. calc. used </p>

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00160">160</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a05b490382461782d82fdda69a95e1488"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::coordIndex" ref="a05b490382461782d82fdda69a95e1488" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a05b490382461782d82fdda69a95e1488">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::coordIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>which texCoordIndex to use </p>

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00158">158</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4e5dfe0a7bb3c5ff7793c7d420b3bfb8"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::currentSamplerDesc" ref="a4e5dfe0a7bb3c5ff7793c7d420b3bfb8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3D11_SAMPLER_DESC <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a4e5dfe0a7bb3c5ff7793c7d420b3bfb8">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::currentSamplerDesc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00169">169</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab47a8be2d5e831372472f9e2d2642b64"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::frustum" ref="ab47a8be2d5e831372472f9e2d2642b64" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a>* <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ab47a8be2d5e831372472f9e2d2642b64">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::frustum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>, used if the above is projection. </p>

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00162">162</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c4899b112c2da18627b3b8dadbeadcd"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::layerBlendMode" ref="a2c4899b112c2da18627b3b8dadbeadcd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1LayerBlendModeEx.html">LayerBlendModeEx</a> <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a2c4899b112c2da18627b3b8dadbeadcd">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::layerBlendMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00164">164</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a406bbf72a6c74c34775ede43c81c4479"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::pTex" ref="a406bbf72a6c74c34775ede43c81c4479" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11ShaderResourceView* <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a406bbf72a6c74c34775ede43c81c4479">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::pTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>texture </p>

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00167">167</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a85a8d57feca3cb5f08b186fc484be114"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::samplerDesc" ref="a85a8d57feca3cb5f08b186fc484be114" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3D11_SAMPLER_DESC <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a85a8d57feca3cb5f08b186fc484be114">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::samplerDesc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00168">168</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac0015461769a2d13d694e0cbe782be35"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::type" ref="ac0015461769a2d13d694e0cbe782be35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#gae50520af6377ff8184cf79125cb9c4d7">TextureType</a> <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#ac0015461769a2d13d694e0cbe782be35">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>the type of the texture </p>

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00156">156</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8e81f5b1c3ac483ab39d223f8c2ae1f8"></a><!-- doxytag: member="Ogre::D3D11RenderSystem::sD3DTextureStageDesc::used" ref="a8e81f5b1c3ac483ab39d223f8c2ae1f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1D3D11RenderSystem_1_1sD3DTextureStageDesc.html#a8e81f5b1c3ac483ab39d223f8c2ae1f8">Ogre::D3D11RenderSystem::sD3DTextureStageDesc::used</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11RenderSystem_8h_source.html#l00171">171</a> of file <a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11RenderSystem_8h_source.html">OgreD3D11RenderSystem.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:14
</p>
</body>
</html>
